<inp2:adm_SetPopupSize width="750" height="670"/>

<inp2:m_include t="incs/header"/>

<inp2:m_include t="incs/image_blocks"/>

<inp2:m_RenderElement name="combined_header" prefix="c" section="in-portal:browse" title_preset="images_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('c-img','<inp2:c-img_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('c-img','OnCancel');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
					go_to_id('c-img', '<inp2:c-img_PrevId/>');
					}
				));

				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
						go_to_id('c-img', '<inp2:c-img_NextId/>');
					}
				));

				a_toolbar.Render();

				<inp2:m_if check="c-img_IsSingle">
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="c-img_IsLast">
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="c-img_IsFirst">
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:c-img_SaveWarning name="grid_save_warning"/>
<inp2:c-img_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" title="la_section_Image"/>
			<inp2:m_RenderElement name="inp_edit_hidden" prefix="c-img" field="ResourceId"/>
			<inp2:m_RenderElement name="inp_id_label" prefix="c-img" field="ImageId" title="la_fld_Id"/>

			<inp2:m_RenderElement name="inp_edit_box" prefix="c-img" field="Name" title="la_fld_Name" size="40"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="c-img" field="AltName" title="la_fld_AltValue" size="40"/>

			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="c-img" field="Enabled" title="la_fld_Enabled" onchange="check_primary()" />
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="c-img" field="DefaultImg" title="la_fld_Primary" onchange="check_status()" />
			<inp2:m_RenderElement name="inp_edit_box" prefix="c-img" field="Priority" title="la_fld_Priority" size="5"/>

		<inp2:m_RenderElement name="subsection" title="la_section_ThumbnailImage"/>
			<inp2:m_RenderElement name="thumbnail_section" prefix="c-img"/>

		<inp2:m_RenderElement name="subsection" title="la_section_FullSizeImage"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="c-img" field="SameImages" title="la_fld_SameAsThumb" onchange="toggle_fullsize()"/>
			<inp2:m_RenderElement name="fullsize_section" prefix="c-img"/>
	</table>
</div>
<script type="text/javascript">
	<inp2:m_RenderElement name="images_edit_js" prefix="c-img"/>
	toggle_fullsize();
</script>

<inp2:m_include t="incs/footer"/>